# ESP Installation

For best performance, a dedicated Ubuntu VPS with 2 vCPU, 4 GB RAM, and NVMe storage is a good minimum spec.

See the [recommended VPS](/docs/faq/recommended-vps.md) for suggested providers.

{% hint style="danger" %}
&#x20;Installation must be run as **root**. `sudo` is unsupported.
{% endhint %}

#### Docker Compose is a prerequisite

{% hint style="warning" %}
This optional next step will uninstall any older Docker versions.
{% endhint %}

A Docker install script for Ubuntu is included for convenience:

```bash
./install_docker_on_ubuntu.sh
```

#### Create a subdomain in your DNS provider

Add an A record, such as `esp.yourdomain.com` where your DNS records are hosted (e.g., Cloudflare), and point it to the IP address of your VPS or server.

You'll need to enter this domain and IP address during installation.

#### Download the installation archive and run the setup wizard:

**Intel/AMD:**

```bash
curl -LO https://github.com/emaildelivery/edcom-ce/releases/latest/download/edcom-install-amd64.tgz
tar -xzvf edcom-install-amd64.tgz
cd edcom-install
./ez_setup.sh 
```

**ARM/AArch64:**

```bash
curl -LO https://github.com/emaildelivery/edcom-ce/releases/latest/download/edcom-install-arm64.tgz
tar -xzvf edcom-install-arm64.tgz
cd edcom-install
./ez_setup.sh 
```

#### Common installation issues

Problem? See [this section](/docs/common-installation-issues/dont-use-sudo.md) in the documentation.

#### Access your ESP platform

Open your web browser to the domain you configured above (e.g., `esp.yourdomain.com`) and log in with the admin account you created during setup.

Follow the "[Getting Ready to Send](/docs/introduction/getting-ready-to-send.md)" guide to send your first message.

Secure your platform with [HTTPS](/docs/options-for-adding-https/free-native-ssl-via-lets-encrypt.md).

#### Enable embedded Beefree premium HTML email builder

1. Create a file called `edcom-install/config/commercial_license.key` containing your license key
2. Run `./restart.sh` in `edcom-install`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emaildelivery.com/docs/install/esp-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
